%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-tripleo
Version:        6.5.0
Release:        5%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=6.5.0
Patch0001: 0001-Retry-ceilometer-upgrade.patch
Patch0002: 0002-Ignore-failures-when-loading-nf_conntrack_proto_sctp.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-cassandra
Requires:       puppet-zookeeper
Requires:       puppet-firewall
Requires:       puppet-midonet
Requires:       puppet-tomcat
Requires:       puppet-keepalived
Requires:       puppet-haproxy
Requires:       puppet-systemd
Requires:       puppet >= 2.7.0

%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Mon Jul 17 2017 Jason Joyce <jjoyce@redhat.com> 6.5.0-5
- Ignore failures when loading nf_conntrack_proto_sctp kernel module (rhbz#1467616)

* Mon Jul 17 2017 Jason Joyce <jjoyce@redhat.com> 6.5.0-3.1
- Retry ceilometer-upgrade (rhbz#1467849)

* Wed Jun 28 2017 Jason Joyce <jjoyce@redhat.com> 6.5.0-1
- Update to 6.5.0

* Fri May 19 2017 Alex Schultz <aschultz@redhat.com> 6.3.0-14
- Move ceilometer wsgi to step 3 (rhbz#1447859)
- Move gnocchi wsgi configuration to step 3 (rhbz#1447859)

* Thu Apr 27 2017 Mike Burns <mburns@redhat.com> 6.3.0-12
- Add a flag to rabbitmq so that we can deploy with ha-mode: all again (rhbz#1441635)
- Add support for livemigration of ssh (rhbz#1428593)

* Mon Apr 24 2017 Mike Burns <mburns@redhat.com> 6.3.0-11
- Ensure we configure ssl.conf (rhbz#1441977)
- Update Gemfile to pull spec_helper from stable/ocata (rhbz#1441977)

* Thu Apr 13 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-10
- syntax error extra comma in rabbitmq.pp
- Add missing octavia auth include to keystone manifest
- Add a trigger to call ldap_backend define (rhbz#1259035)
- Make the cluster-check property configurable (rhbz#1438879)

* Tue Apr 11 2017 Steve Linabery <slinaber@redhat.com> 6.3.0-9
- Deploy WSGI apps at the same step (3) (rhbz#1441760)
- Fixes missing neutron base in sriov
- Fix deprecated eqlx parameters
- Decouple ceilometer user create from API (rhbz#1437207)
- Add tunnel timeout for ui proxy container (rhbz#1432188 rhbz#1433733)

* Wed Apr 05 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-8
- Move horizon to step 3 (rhbz#1438602)

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-7
- Check rabbitmq user at step >= 2

* Thu Mar 30 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-6
- Re-run gnocchi and ceilometer upgrade in step 5 (rhbz#1434361)
- Explicitly configure credentials used by ironic to access other services

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-5
- Ensure iscsi-initiator-utils installed (rhbz#1435378)
- Correct haproxy's stat unix socket path (rhbz#1428915)
- panko: Do db_sync in api manifest
- Fixes issues with raising mysql file limit
- Add bindep support

* Tue Mar 28 2017 Sven Anderson <sven@redhat.com> 6.3.0-4
- Add missing include of ::ec2api::keystone::authtoken (rhbz#1341170)

* Fri Mar 24 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-3
- add Requires on puppet-systemd

* Mon Mar 20 2017 Steve Linabery <slinaber@redhat.com> 6.3.0-2
- Throw warnings for norpm actions
- Stop the chronyd service
- mariadb: Move generation of systemd drop-in to puppet-tripleo
- Default neutron dhcp_agents_per_network to number of agents

* Wed Mar 08 2017 Steve Linabery <slinaber@redhat.com> 6.3.0-1
- Update to 6.3.0

* Tue Feb 28 2017 Jon Schlueter <jschluet@redhat.com> 6.2.0-2
- Stop accidentally removing docker-distribution
- Create /etc/my.cnf.d/tripleo.cnf with proper bind-address
- Enable languages in UI config
- Add virtual_packages support to norpm provider

* Thu Feb 16 2017 Alfredo Moralejo <amoralej@redhat.com> 6.2.0-1
- Update to 6.2.0


